#import <tapioca/tpa-client.h>

#define TPA_TYPE_CONNECTION_STATUS           (tpa_connection_status_get_type())
#define TPA_TYPE_CONNECTION_STATUS_REASON    (tpa_connection_status_reason_get_type())
#define TPA_TYPE_CAPABILITY                  (tpa_capability_get_type())
#define TPA_TYPE_CONTACT_PRESENCE            (tpa_contact_presence_get_type())
#define TPA_TYPE_SUBSCRIPTION_STATUS         (tpa_subscription_status_get_type())
#define TPA_TYPE_AUTHORIZATION_STATUS         (tpa_authorization_status_get_type())
#define TPA_TYPE_CHANNEL_TYPE                (tpa_channel_type_get_type())
#define TPA_TYPE_STREAM_TYPE                 (tpa_stream_type_get_type())
#define TPA_TYPE_STREAM_STATE		     (tpa_stream_state_get_type())
#define TPA_TYPE_TEXT_MESSAGE_TYPE           (tpa_text_message_type_get_type())
#define TPA_TYPE_TEXT_MESSAGE_DELIVERY_ERROR (tpa_text_message_delivery_error_get_type())
#define TPA_TYPE_HANDLE_TYPE                 (tpa_handle_type_get_type())
#define TPA_TYPE_PARAMETER_FLAGS             (tpa_parameter_flags_get_type())
#define TPA_TYPE_CHAT_STATE                  (tpa_chat_state_get_type())

/* Generated data (by glib-mkenums) */

/* enumerations from "../../tapioca-glib/tapioca/client/tpa-enums.h" */
GType
tpa_connection_status_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { TPA_CONNECTION_STATUS_CONNECTED, "TPA_CONNECTION_STATUS_CONNECTED", "connected" },
      { TPA_CONNECTION_STATUS_CONNECTING, "TPA_CONNECTION_STATUS_CONNECTING", "connecting" },
      { TPA_CONNECTION_STATUS_DISCONNECTED, "TPA_CONNECTION_STATUS_DISCONNECTED", "disconnected" },
      { TPA_CONNECTION_STATUS_LAST, "TPA_CONNECTION_STATUS_LAST", "last" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("TpaConnectionStatus", values);
  }
  return etype;
}

GType
tpa_connection_status_reason_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { TPA_CONNECTION_STATUS_REASON_NONE_SPECIFIED, "TPA_CONNECTION_STATUS_REASON_NONE_SPECIFIED", "none-specified" },
      { TPA_CONNECTION_STATUS_REASON_REQUESTED, "TPA_CONNECTION_STATUS_REASON_REQUESTED", "requested" },
      { TPA_CONNECTION_STATUS_REASON_NETWORK_ERROR, "TPA_CONNECTION_STATUS_REASON_NETWORK_ERROR", "network-error" },
      { TPA_CONNECTION_STATUS_REASON_AUTHENTICATION_FAILED, "TPA_CONNECTION_STATUS_REASON_AUTHENTICATION_FAILED", "authentication-failed" },
      { TPA_CONNECTION_STATUS_REASON_ENCRYPTION_ERROR, "TPA_CONNECTION_STATUS_REASON_ENCRYPTION_ERROR", "encryption-error" },
      { TPA_CONNECTION_STATUS_REASON_NAME_IN_USE, "TPA_CONNECTION_STATUS_REASON_NAME_IN_USE", "name-in-use" },
      { TPA_CONNECTION_STATUS_REASON_CERT_NOT_PROVIDED, "TPA_CONNECTION_STATUS_REASON_CERT_NOT_PROVIDED", "cert-not-provided" },
      { TPA_CONNECTION_STATUS_REASON_CERT_UNTRUSTED, "TPA_CONNECTION_STATUS_REASON_CERT_UNTRUSTED", "cert-untrusted" },
      { TPA_CONNECTION_STATUS_REASON_CERT_EXPIRED, "TPA_CONNECTION_STATUS_REASON_CERT_EXPIRED", "cert-expired" },
      { TPA_CONNECTION_STATUS_REASON_CERT_NOT_ACTIVATED, "TPA_CONNECTION_STATUS_REASON_CERT_NOT_ACTIVATED", "cert-not-activated" },
      { TPA_CONNECTION_STATUS_REASON_CERT_HOSTNAME_MISMATCH, "TPA_CONNECTION_STATUS_REASON_CERT_HOSTNAME_MISMATCH", "cert-hostname-mismatch" },
      { TPA_CONNECTION_STATUS_REASON_CERT_FINGERPRINT_MISMATCH, "TPA_CONNECTION_STATUS_REASON_CERT_FINGERPRINT_MISMATCH", "cert-fingerprint-mismatch" },
      { TPA_CONNECTION_STATUS_REASON_CERT_this_SIGNED, "TPA_CONNECTION_STATUS_REASON_CERT_this_SIGNED", "cert-this-signed" },
      { TPA_CONNECTION_STATUS_REASON_CERT_OTHER_ERROR, "TPA_CONNECTION_STATUS_REASON_CERT_OTHER_ERROR", "cert-other-error" },
      { TPA_CONNECTION_STATUS_REASON_LAST, "TPA_CONNECTION_STATUS_REASON_LAST", "last" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("TpaConnectionStatusReason", values);
  }
  return etype;
}

GType
tpa_capability_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GFlagsValue values[] = {
      { TPA_CAPABILITY_NONE, "TPA_CAPABILITY_NONE", "none" },
      { TPA_CAPABILITY_TEXT, "TPA_CAPABILITY_TEXT", "text" },
      { TPA_CAPABILITY_AUDIO, "TPA_CAPABILITY_AUDIO", "audio" },
      { TPA_CAPABILITY_VIDEO, "TPA_CAPABILITY_VIDEO", "video" },
      { TPA_CAPABILITY_ALL, "TPA_CAPABILITY_ALL", "all" },
      { 0, NULL, NULL }
    };
    etype = g_flags_register_static ("TpaCapability", values);
  }
  return etype;
}

GType
tpa_contact_presence_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { TPA_PRESENCE_OFFLINE, "TPA_PRESENCE_OFFLINE", "offline" },
      { TPA_PRESENCE_AVAILABLE, "TPA_PRESENCE_AVAILABLE", "available" },
      { TPA_PRESENCE_AWAY, "TPA_PRESENCE_AWAY", "away" },
      { TPA_PRESENCE_XA, "TPA_PRESENCE_XA", "xa" },
      { TPA_PRESENCE_HIDDEN, "TPA_PRESENCE_HIDDEN", "hidden" },
      { TPA_PRESENCE_BUSY, "TPA_PRESENCE_BUSY", "busy" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("TpaContactPresence", values);
  }
  return etype;
}

GType
tpa_subscription_status_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { TPA_SUBSCRIPTION_STATUS_NONE, "TPA_SUBSCRIPTION_STATUS_NONE", "none" },
      { TPA_SUBSCRIPTION_STATUS_REMOTE_PENDING, "TPA_SUBSCRIPTION_STATUS_REMOTE_PENDING", "remote-pending" },
      { TPA_SUBSCRIPTION_STATUS_LOCAL_PENDING, "TPA_SUBSCRIPTION_STATUS_LOCAL_PENDING", "local-pending" },
      { TPA_SUBSCRIPTION_STATUS_CURRENT, "TPA_SUBSCRIPTION_STATUS_CURRENT", "current" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("TpaSubscriptionStatus", values);
  }
  return etype;
}

GType
tpa_authorization_status_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { TPA_AUTHORIZATION_STATUS_NON_EXISTENT, "TPA_AUTHORIZATION_STATUS_NON_EXISTENT", "non-existent" },
      { TPA_AUTHORIZATION_STATUS_LOCAL_PENDING, "TPA_AUTHORIZATION_STATUS_LOCAL_PENDING", "local-pending" },
      { TPA_AUTHORIZATION_STATUS_AUTHORIZED, "TPA_AUTHORIZATION_STATUS_AUTHORIZED", "authorized" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("TpaAuthorizationStatus", values);
  }
  return etype;
}

GType
tpa_channel_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { TPA_CHANNEL_TYPE_TEXT, "TPA_CHANNEL_TYPE_TEXT", "text" },
      { TPA_CHANNEL_TYPE_STREAM, "TPA_CHANNEL_TYPE_STREAM", "stream" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("TpaChannelType", values);
  }
  return etype;
}

GType
tpa_stream_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { TPA_STREAM_TYPE_AUDIO, "TPA_STREAM_TYPE_AUDIO", "audio" },
      { TPA_STREAM_TYPE_VIDEO, "TPA_STREAM_TYPE_VIDEO", "video" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("TpaStreamType", values);
  }
  return etype;
}

GType
tpa_stream_state_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { TPA_STREAM_STATE_NONE, "TPA_STREAM_STATE_NONE", "none" },
      { TPA_STREAM_STATE_CONNECTING, "TPA_STREAM_STATE_CONNECTING", "connecting" },
      { TPA_STREAM_STATE_CONNECTED, "TPA_STREAM_STATE_CONNECTED", "connected" },
      { TPA_STREAM_STATE_PLAYING, "TPA_STREAM_STATE_PLAYING", "playing" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("TpaStreamState", values);
  }
  return etype;
}

GType
tpa_stream_direction_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { TPA_STREAM_DIRECTION_NONE, "TPA_STREAM_DIRECTION_NONE", "none" },
      { TPA_STREAM_DIRECTION_OUTPUT, "TPA_STREAM_DIRECTION_OUTPUT", "output" },
      { TPA_STREAM_DIRECTION_INPUT, "TPA_STREAM_DIRECTION_INPUT", "input" },
      { TPA_STREAM_DIRECTION_DUPLEX, "TPA_STREAM_DIRECTION_DUPLEX", "duplex" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("TpaStreamDirection", values);
  }
  return etype;
}

GType
tpa_stream_flag_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { TPA_STREAM_FLAG_NONE, "TPA_STREAM_FLAG_NONE", "none" },
      { TPA_STREAM_FLAG_LOCAL_PENDING, "TPA_STREAM_FLAG_LOCAL_PENDING", "local-pending" },
      { TPA_STREAM_FLAG_REMOTE_PENDING, "TPA_STREAM_FLAG_REMOTE_PENDING", "remote-pending" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("TpaStreamFlag", values);
  }
  return etype;
}

GType
tpa_text_message_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { TPA_MESSAGE_TYPE_NORMAL, "TPA_MESSAGE_TYPE_NORMAL", "normal" },
      { TPA_MESSAGE_TYPE_ACTION, "TPA_MESSAGE_TYPE_ACTION", "action" },
      { TPA_MESSAGE_TYPE_NOTICE, "TPA_MESSAGE_TYPE_NOTICE", "notice" },
      { TPA_MESSAGE_TYPE_AUTO_REPLY, "TPA_MESSAGE_TYPE_AUTO_REPLY", "auto-reply" },
      { TPA_MESSAGE_TYPE_ERROR, "TPA_MESSAGE_TYPE_ERROR", "error" },
      { TPA_MESSAGE_TYPE_ANY, "TPA_MESSAGE_TYPE_ANY", "any" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("TpaTextMessageType", values);
  }
  return etype;
}

GType
tpa_text_message_delivery_error_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { TPA_MESSAGE_DELIVERY_ERROR_UNKNOWN, "TPA_MESSAGE_DELIVERY_ERROR_UNKNOWN", "unknown" },
      { TPA_MESSAGE_DELIVERY_ERROR_CONTACT_OFFLINE, "TPA_MESSAGE_DELIVERY_ERROR_CONTACT_OFFLINE", "contact-offline" },
      { TPA_MESSAGE_DELIVERY_ERROR_INVALID_CONTACT, "TPA_MESSAGE_DELIVERY_ERROR_INVALID_CONTACT", "invalid-contact" },
      { TPA_MESSAGE_DELIVERY_ERROR_PERMISSION_DENIED, "TPA_MESSAGE_DELIVERY_ERROR_PERMISSION_DENIED", "permission-denied" },
      { TPA_MESSAGE_DELIVERY_ERROR_MESSAGE_TOO_LONG, "TPA_MESSAGE_DELIVERY_ERROR_MESSAGE_TOO_LONG", "message-too-long" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("TpaTextMessageDeliveryError", values);
  }
  return etype;
}

GType
tpa_chat_state_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { TPA_CHAT_STATE_GONE, "TPA_CHAT_STATE_GONE", "gone" },
      { TPA_CHAT_STATE_INACTIVE, "TPA_CHAT_STATE_INACTIVE", "inactive" },
      { TPA_CHAT_STATE_ACTIVE, "TPA_CHAT_STATE_ACTIVE", "active" },
      { TPA_CHAT_STATE_PAUSED, "TPA_CHAT_STATE_PAUSED", "paused" },
      { TPA_CHAT_STATE_COMPOSING, "TPA_CHAT_STATE_COMPOSING", "composing" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("TpaChatState", values);
  }
  return etype;
}

GType
tpa_handle_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { TPA_HANDLE_TYPE_NONE, "TPA_HANDLE_TYPE_NONE", "none" },
      { TPA_HANDLE_TYPE_CONTACT, "TPA_HANDLE_TYPE_CONTACT", "contact" },
      { TPA_HANDLE_TYPE_ROOM, "TPA_HANDLE_TYPE_ROOM", "room" },
      { TPA_HANDLE_TYPE_LIST, "TPA_HANDLE_TYPE_LIST", "list" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("TpaHandleType", values);
  }
  return etype;
}

GType
tpa_parameter_flags_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GFlagsValue values[] = {
      { TPA_PARAMETER_FLAGS_NONE, "TPA_PARAMETER_FLAGS_NONE", "none" },
      { TPA_PARAMETER_FLAGS_REQUIRED, "TPA_PARAMETER_FLAGS_REQUIRED", "required" },
      { TPA_PARAMETER_FLAGS_REGISTER, "TPA_PARAMETER_FLAGS_REGISTER", "register" },
      { TPA_PARAMETER_FLAGS_DEFAULT, "TPA_PARAMETER_FLAGS_DEFAULT", "default" },
      { TPA_PARAMETER_FLAGS_ALL, "TPA_PARAMETER_FLAGS_ALL", "all" },
      { 0, NULL, NULL }
    };
    etype = g_flags_register_static ("TpaParameterFlags", values);
  }
  return etype;
}


/* Generated data ends here */

